=head1 NAME


XXV::MODULES::NEWS::JABBER



=head1 SYNOPSIS

  
  use XXV::OUTPUT::NEWS::JABBER
  my  = XXV::OUTPUT::NEWS::JABBER->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );



=head1 VERSION

0.01 - 31.09.2005

=head1 DESCRIPTION


This NEWS module generate a Jabber messages for your jabber client.
If come a Message from xxv with a lever >= as Preferences::level then
will this module send this Message to your jabber account
(Preferences::receiveUser).

The Problem xxv need a extra jabber account to allow to send messages in
the jabber network. This is very simple:

=over 4

=item 1 Start your jabber client, may the exodus (http://exodus.jabberstudio.org/)

=item 2 Create a new Profile with the name 'xxv'

=item 3 In the next window input following things:

    - Jabber Id: newsxxv@jabber.org (in Example!)
    - Password:  lalala (in Example!)
    - save Password:  yes
    - new Account?:   yes

=back

Thats all!

If you want, you can test the connection to send a testmessage with
the following url in the Webinterface:

    http://vdr:8080/?cmd=request&data=jabber

or Telnet Interface:

    XXV> request jabber

Then you must receive a message in your running jabber client.



=head1 CONFIGURATION

=over 4



=item 1 active

Aktiviere diesen Dienst

=over 4

=item * default: n

=item * type: confirm

=item * required: Yes

=back



=item 2 level

Minimales Level der anzuzeigenden Nachrichten (1 ... 100)

=over 4

=item * default: 1

=item * type: integer

=item * required: Yes

=back



=item 3 passwd

Passwort des Jabberzuganges

=over 4

=item * default: 

=item * type: password

=item * required: Yes

=back



=item 4 receiveUser

Zu benachrichtigender Anwender (als Jabberzugang an@jabber.server.org)

=over 4

=item * default: 

=item * type: string

=item * required: Yes

=back



=item 5 user

Jabberzuganges zum Senden der Nachricht

=over 4

=item * default: 

=item * type: string

=item * required: Yes

=back



=back

=head1 COMMANDS

=over 4



=back

=head1 REQUIREMENTS

=over 4



=item *  Net::XMPP

Jabber protocol for connect and send



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
